A Lightweight SQL Database for Cloud Infrastructure and Web Applications

slave.basic test failing on OSX

Reported by Lee Bieber on 2011-03-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Drizzle
High
Patrick Crews
7.0
High
Patrick Crews

Bug Description

12 Mar 2011 09:03:55 ERROR: Server failed to start within 60 seconds. This could be a problem with the test machine or the server itself
12 Mar 2011 09:03:55 WARNING: Problem starting server(s) for test...failing test case
12 Mar 2011 09:03:55 : slave.basic [ fail ] 880

Related branches

Lee Bieber (kalebral) on 2011-03-12
Changed in drizzle:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Monty Taylor (mordred)
Patrick Crews (patrick-crews) wrote :

http://paste.drizzle.org/show/435/

Was seeing an issue with loading the slave plugin during this test. Not sure what was up, but wanted to append this info for troubleshooting's sake

On 03/12/2011 03:38 PM, Patrick Crews wrote:
> http://paste.drizzle.org/show/435/
>
> Was seeing an issue with loading the slave plugin during this test. Not
> sure what was up, but wanted to append this info for troubleshooting's
> sake
>

Can you try having dbqp add ${top_builddir}/libdrizzle/.libs to
LD_LIBRARY_PATH ? We're asking the dynamic loader to link against a
library that isn't installed, but it has no real way of knowing that
that file is in ${top_buildir}/libdrizzle/.libs.

Patrick Crews (patrick-crews) wrote :

Working on a patch now. I'll give it a go via param-build and propose a
merge once it's ready.

On Sat, Mar 12, 2011 at 6:57 PM, Monty Taylor <email address hidden> wrote:

> On 03/12/2011 03:38 PM, Patrick Crews wrote:
> > http://paste.drizzle.org/show/435/
> >
> > Was seeing an issue with loading the slave plugin during this test. Not
> > sure what was up, but wanted to append this info for troubleshooting's
> > sake
> >
>
> Can you try having dbqp add ${top_builddir}/libdrizzle/.libs to
> LD_LIBRARY_PATH ? We're asking the dynamic loader to link against a
> library that isn't installed, but it has no real way of knowing that
> that file is in ${top_buildir}/libdrizzle/.libs.
>
> --
> You received this bug notification because you are a member of Drizzle-
> developers, which is subscribed to Drizzle.
> https://bugs.launchpad.net/bugs/734033
>
> Title:
> slave.basic test failing on OSX
>
> Status in A Lightweight SQL Database for Cloud Infrastructure and Web
> Applications:
> Confirmed
>
> Bug description:
> 12 Mar 2011 09:03:55 ERROR: Server failed to start within 60 seconds.
> This could be a problem with the test machine or the server itself
> 12 Mar 2011 09:03:55 WARNING: Problem starting server(s) for
> test...failing test case
> 12 Mar 2011 09:03:55 : slave.basic
> [ fail ] 880
>

Changed in drizzle:
assignee: Monty Taylor (mordred) → Patrick Crews (patrick-crews)
status: Confirmed → In Progress
Changed in drizzle:
status: In Progress → Fix Committed
milestone: none → 2011-03-14
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers